#!/bin/bash

# script for executing benchmark for low contention, low conflict

# create/clear benchmark subdirectory
mkdir -p lclc
rm -rf lclc/*

# copy raw files to correct location
cp /home/kreft/benchmark/benchmarks/fill_lclc_sqlite ./fill.txt
cp /home/kreft/benchmark/benchmarks/mixed_lclc_sqlite ./mixed.txt

echo "Executing lclc benchmark"
for run in 1 2 3 4 5
do
  echo "Executing run $run"
	cat benchmark_run.txt | ../sqlite_binary ":memory:" >> ./lclc/messung.txt
	echo "Executing run $run with index"
	cat benchmark_run_index.txt | ../sqlite_binary ":memory:" >> ./lclc/messung_index.txt
done